> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/modules/home-7.md).

# svyUtils

### Home

### [LogManager](https://github.com/Servoy/gitbook/blob/master/reference/servoyextensions/modules/home-7/broken-reference/README.md)

Provides finegrained logging functionality built with performance and configurability in mind.

### EventManager

Provides the ability to (de)register listeners for events and fire events. Aims to provide a way to decouple hard links in code between otherwise stand-alone code

### ApplicationCore

Offers default implementations for the solution's onError and onDataBroadcast events and provides a module initialization mechanism.

The aim of this module is to provide the API's for easy integration of 3rd party modules.

### Web Client utils

Set of utility methods specifically for the Servoy Web Client Also replaces (most) of the functionality of the [WebClientUtils plugin](https://www.servoyforge.net/projects/webclientutils)

### Smart Client utils

Set of utility methods specifically for the Servoy Smart Client

### [Excel utils](/reference/servoyextensions/modules/home-7/excelutils.md)

Set of utility methods to read, create and manipulate Excel Workbooks. Does not require Microsoft Excel.

### Table Grid

Creates in-memory data sources and table view forms of any JSDatSet or JSFoundSet that can be shown in a given tab panel. This is useful if you need to show for example the result of an aggregate query in a table form or just need an intermediate table to display.

### [Custom Dialogs](/reference/servoyextensions/modules/home-7/custom-dialogs.md)

Provides the ability to create simple dialogs containing any number of different fields and text labels. Dialogs are laid out in a a simple two column label/field grid. Dialogs are web client compatible, meaning they handle continuations.

### [LogManager Appenders](https://github.com/Servoy/gitbook/blob/master/reference/servoyextensions/modules/home-7/broken-reference/README.md)

Provides a set of Appender plugins for [svyLogManager](https://github.com/Servoy/gitbook/blob/master/reference/servoyextensions/modules/home-7/broken-reference/README.md) loggers. The implemented appenders allow to append logs in database (DbAppender), log to files (RollingFileAppender), log to email (EmailAppender) and log to a console window (PopupAppender).

### UnitTest Utils

Utility methods for unit testing

### [svyCrypto](https://github.com/Servoy/gitbook/blob/master/reference/servoyextensions/modules/home-7/broken-reference/README.md)

Set of utility methods for encryption and decryption of data.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/modules/home-7.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
